package com.mcwl.web.controller.personalCenter;


import com.mcwl.common.core.page.PageDomain;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.resource.domain.dto.ModelImagePageRes;
import com.mcwl.resource.service.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "个人中心")
@RestController
@RequestMapping("personalCenter")
@RequiredArgsConstructor
public class PersonalCenterController {
    private final ModelService modelService;
    private final ModelLikeService modelLikeService;
    private final ModelImageService modelImageService;
    private final WorkFlowService workFlowService;
    private final WorkFlowLikeService workFlowLikeService;
    private final ModelImageLikeService modelImageLikeService;

    /**
     * 我的发布-模型列表
     */
    @ApiOperation(value = "我的发布-模型列表")
    @PostMapping("/selectByUserIdModel")
    public TableDataInfo selectByUserIdModel(@RequestBody ModelImagePageRes imagePageRes) {

        return modelService.listByPage(imagePageRes);
    }

    /**
     * 我的发布-工作流列表
     */
    @ApiOperation(value = "我的发布-工作流列表")
    @PostMapping("/selectByUserIdWorkFlow")
    public TableDataInfo selectByUserIdWorkFlow(@RequestBody ModelImagePageRes imagePageRes) {

        return workFlowService.listByPage(imagePageRes);
    }

    /**
     * 我的发布-图片列表
     */
    @ApiOperation(value = "我的发布-图片列表")
    @PostMapping("/selectByUserIdImage")
    public TableDataInfo selectByUserIdImage(@RequestBody ModelImagePageRes imagePageRes) {

        return modelImageService.listByPage(imagePageRes);
    }

    /**
     * 我的点赞-模型列表
     */
    @ApiOperation(value = "我的点赞-模型列表")
    @PostMapping("/likeModel")
    public TableDataInfo likeModel(@RequestBody PageDomain pageDomain) {
        return modelLikeService.listByPage(pageDomain);
    }

    /**
     * 我的点赞-工作流列表
     */
    @ApiOperation(value = "我的点赞-工作流列表")
    @PostMapping("/likeWorkFlow")
    public TableDataInfo likeWorkFlow(@RequestBody PageDomain pageDomain) {
        return workFlowLikeService.listByPage(pageDomain);
    }

    /**
     * 我的点赞-图片列表
     */
    @ApiOperation(value = "我的点赞-图片列表")
    @PostMapping("/likeImage")
    public TableDataInfo likeImage(@RequestBody PageDomain pageDomain) {
        return modelImageLikeService.listByPage(pageDomain);
    }



}
