package com.mcwl.common.config;

import com.mcwl.common.config.properties.QuartzThreadPoolProperties;
import com.mcwl.common.domain.AliPayProperties;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.common.config
 * @Filename：BusinessConfig
 * @Description TODO
 * @Date：2025/1/3 18:46
 */
@Data
@Component
@Slf4j
@ConfigurationProperties(prefix = "mall.mgt")
public class BusinessConfig {

    /**
     * 动态定时任务线程池配置
     */
    private QuartzThreadPoolProperties QuartzThreadPoolConfig = new QuartzThreadPoolProperties();

    /**
     * 商品搜索index名称
     */
    private String productEsIndexName = "product-es-index-v1";

    /**
     * 支付宝支付相关配置
     */
    private AliPayProperties aliPayConfig = new AliPayProperties();
}
