package com.mcwl.common.constant;

/**
 * 缓存的key 常量
 *
 * @author mcwl
 */
public class CacheConstants
{
    /**
     * 登录用户 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "login_tokens:";

    /**
     * 验证码 redis key
     */
    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";

    /**
     * 参数管理 cache key
     */
    public static final String SYS_CONFIG_KEY = "sys_config:";

    /**
     * 字典管理 cache key
     */
    public static final String SYS_DICT_KEY = "sys_dict:";

    /**
     * 防重提交 redis key
     */
    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";

    /**
     * 限流 redis key
     */
    public static final String RATE_LIMIT_KEY = "rate_limit:";

    /**
     * 登录账户密码错误次数 redis key
     */
    public static final String PWD_ERR_CNT_KEY = "pwd_err_cnt:";

    /**
     * 微信openid redis key
     */
    public static final String WX_OPENID_KEY = "wx_openid:";

    /**
     * 类型
     */
    public static final String WE_CHAT = "we_chat";

    /**
     * 校验身份证次数
     */
    public static final String ID_CARD_COUNT = "id_card_count:";

    /**
     * 模型
     */
    public static final String MODEL = "model";

    /**
     * 工作流
     */
    public static final String WORK_FLOW = "work_flow";

}
