package com.mcwl.common.domain.response;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class OCRBackResult {

    @JsonProperty("config_str")
    private String configStr;

    @JsonProperty("start_date")
    @Schema(description = "开始日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate startDate;

    @JsonProperty("end_date")
    @Schema(description = "结束日期")
    private String endDate;

    @JsonProperty("issue")
    @Schema(description = "签发机关")
    private String issue;

    @JsonProperty("is_fake")
    private boolean isFake;
    private String imagePath;
    @JsonProperty("success")
    private boolean success;

    // Getters and setters
}
