package com.mcwl.common.web;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class ResponseWebEntity<T> implements Serializable {

    /**
     * 返回值
     */
    @ApiModelProperty("通信状态返回值")
    private int code;
    /**
     * 数据
     */
    @ApiModelProperty("业务数据-泛型")
    private T data;
    /**
     * 签名
     */
    @ApiModelProperty("签名")
    private String sign;
    /**
     * 用户句柄
     */
    @ApiModelProperty("用户句柄")
    private String token;

    /**
     * 报文流水号（不定长，最大32位），建议使用UUID
     */
    @ApiModelProperty("报文流水号")
    private String msgSerialNo;
    /**
     * 报文发送时间（定长，14位），YYYYMMDDHHmmss
     */
    @ApiModelProperty("报文发送时间")
    private String msgTime;
    /**
     * 报文版本号（不定长，最大4位）
     */
    @ApiModelProperty("报文版本号")
    private String msgVer;
    /**
     * 响应码（定长，4位）成功：0000，业务错误：1XXX，系统级错误：9XXX
     */
    @ApiModelProperty("响应码")
    private String msgRespCode;

    /**
     * 响应码描述
     */
    @ApiModelProperty("响应码描述")
    private String msgRespDesc;
}
