package com.mcwl.communityCenter.config;

import com.mcwl.communityCenter.webSocket.ChatWebSocket;
import com.mcwl.communityCenter.webSocket.HumanWebSocket;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.socket.config.annotation.EnableWebSocket;
import org.springframework.web.socket.config.annotation.WebSocketConfigurer;
import org.springframework.web.socket.config.annotation.WebSocketHandlerRegistry;

@Configuration
@EnableWebSocket
public class WebSocketConfig implements WebSocketConfigurer {

    @Override
    public void registerWebSocketHandlers(WebSocketHandlerRegistry registry) {
        registry.addHandler(chatWebSocket(), "/chat")
                .addHandler(humanWebSocket(), "/chat/human")
                .setAllowedOrigins("*");
    }

    @Bean
    public ChatWebSocket chatWebSocket() {
        return new ChatWebSocket();
    }

    @Bean
    public HumanWebSocket humanWebSocket() {
        return new HumanWebSocket();
    }

}