package com.mcwl.communityCenter.domain;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 邀请表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_invite")
public class Invite extends BaseEntity {

    @TableId
    private Long id;
    /**
     * 用户id - 租户id
     */
    @TableField(fill = FieldFill.INSERT)
    private Long tenantId;
    /**
     * 社区id
     */
    private Long communityId;
    /**
     * 被邀请人
     */
    private Long inviteeUserId;
    /**
     * 受邀类型 0普通 1管理员
     */
    private Integer type;
    /**
     * 费用类型 0免费 1付费
     */
    private Integer feeType;


}
