package com.mcwl.communityCenter.domain;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;


/**
 * 发布
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_publish")
public class Publish extends BaseEntity {

    @TableId
    private Long id;

    /**
     * 用户id - 租户id
     */
    @TableField(fill = FieldFill.INSERT)
    private Long tenantId;

    /**
     * 社区id
     */
    private Long communityId;

    /**
     * 内容
     */
    private String content;

    /**
     * 发布图片
     */
    private String imageUrl;

    /**
     * 发布文件
     */
    private String fileUrl;

    /**
     * 发布人
     */
    private Long userId;

    /**
     * 发布时间 - 定时发布
     */
    private Date publishTime;

    /**
     * 点赞数
     */
    private Integer likeNum;

    /**
     * 评论数
     */
    private Integer commentNum;

    /**
     * 状态
     */
    private Integer status;

}
