package com.mcwl.communityCenter.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**社群评论区
 */
@ApiModel(description = "评论区评论")
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_comment")
public class PublishComment extends BaseEntity {
    /**
     * id
     */
    @TableId
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private Long tenantId;
    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long communityId;
    /**
     * 运营id
     */
    @ApiModelProperty(value = "运营id")
    private Long operatorId;
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;
    /**
     * 父评论id
     */
    @ApiModelProperty(value = "父评论id")
    private Long parentId;
    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;

    /**
     * 评论类型 0发布 1提问
     */
    @ApiModelProperty(value = "评论类型 0发布 1提问")
    private Integer type;


}
