package com.mcwl.communityCenter.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 发布请求参数
 */
@Data
@ApiModel(description = "发布请求参数")
public class PublishRes {
    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id", required = true)
    @NotNull(message = "租户id不能为空")
    private Long tenantId;
    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id", required = true)
    @NotNull(message = "社区id不能为空")
    private Long communityId;
    /**
     * 内容
     */
    @NotBlank(message = "内容不能为空")
    @ApiModelProperty(value = "内容", required = true)
    private String content;
    /**
     * 发布图片
     */
    @ApiModelProperty(value = "发布图片")
    private String imageUrl;

    /**
     * 发布文件
     */
    @ApiModelProperty(value = "发布文件")
    private String fileUrl;

    /**
     * 发布时间 - 定时发布
     */
    @ApiModelProperty(value = "发布时间 - 定时发布")
    private Date publishTime;

}
