package com.mcwl.communityCenter.domain.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "采纳请求参数")
public class QuestionCommentAdoptRes {

    /**
     * 租户id
     */
    @NotNull(message = "租户不能为空")
    @ApiModelProperty(value = "租户ID", required = true)
    private Long tenantId;

    /**
     * 社区id
     */
    @NotNull(message = "社区不能为空")
    @ApiModelProperty(value = "社区ID", required = true)
    private Long communityId;

    /**
     * 提问id
     */
    @NotNull(message = "提问不能为空")
    @ApiModelProperty(value = "提问ID", required = true)
    private Long questionId;

    /**
     * 评论id
     */
    @NotNull(message = "评论不能为空")
    @ApiModelProperty(value = "评论ID", required = true)
    private Long commentId;



}
