package com.mcwl.communityCenter.domain.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 提问评论请求参数
 */
@Data
@ApiModel("提问评论请求参数")
public class QuestionCommentRes {
    /**
     * 租户id
     */
    @NotNull(message = "租户不能为空")
    @ApiModelProperty(value = "租户ID", required = true)
    private Long tenantId;

    /**
     * 社区id
     */
    @NotNull(message = "社区不能为空")
    @ApiModelProperty(value = "社区ID", required = true)
    private Long communityId;

    /**
     * 提问id
     */
    @NotNull(message = "提问不能为空")
    @ApiModelProperty(value = "提问ID", required = true)
    private Long questionId;

    /**
     * 评论内容
     */
    @NotBlank(message = "评论内容不能为空")
    @ApiModelProperty(value = "评论内容", required = true)
    private String content;



}
