package com.mcwl.communityCenter.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "回复问题")
public class QuestionReplyRes {

    @NotNull(message = "社区不能为空")
    @ApiModelProperty(value = "社区id", required = true)
    private Long communityId;

    /**
     * 问题id
     */
    @NotNull(message = "问题id不能为空")
    @ApiModelProperty(value = "问题id", required = true)
    private Long questionId;

    /**
     * 回复内容
     */
    @NotBlank(message = "回复内容不能为空")
    @ApiModelProperty(value = "回复内容", required = true)
    private String reply;

}
