package com.mcwl.communityCenter.domain.dto;


import com.fasterxml.jackson.annotation.JsonView;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 提问请求参数
 */
@Data
@ApiModel("提问请求参数")
public class QuestionRes {
    /**
     * 租户id
     */
    @NotNull(message = "租户不能为空")
    @ApiModelProperty(value = "租户ID", required = true)
    private Long tenantId;

    /**
     * 社区id
     */
    @NotNull(message = "社区不能为空")
    @ApiModelProperty(value = "社区ID", required = true, position = 1)
    private Long communityId;

    /**
     * 提问内容
     */
    @NotBlank(message = "提问内容不能为空")
    @ApiModelProperty(value = "提问内容", required = true, position = 3)
    private String content;

    /**
     * 提问图片
     */
    @ApiModelProperty(value = "提问图片", position = 4)
    private String questionUrl;

    /**
     * 是否匿名 0 否 1 是
     */
    @ApiModelProperty(value = "是否匿名", position = 5)
    @NotNull(message = "是否匿名不能为空")
    private Integer isAnonymous = 0;


    /**
     * 提问类型 0免费 1付费
     */
    @ApiModelProperty(value = "提问类型 0免费 1付费", required = true, position = 6)
    @NotNull(message = "提问类型不能为空")
    private Integer type;

    /**
     * 付费金额 当提问类型为付费时必填
     */
    @ApiModelProperty(value = "付费金额,当提问类型为1时必填")
    private Double amount;



}
