package com.mcwl.communityCenter.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import springfox.documentation.annotations.ApiIgnore;

import java.util.Date;

/**
 * 发布信息
 */
@Data
@ApiModel(description = "发布信息")
public class PublishVo {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Long id;

    /**
     * 用户id - 租户id
     */
    @ApiModelProperty(value = "租户id", hidden = true)
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long communityId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String userName;

    /**
     * 头像
     */
    @ApiModelProperty(value = "头像")
    private String avatar;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;

    /**
     * 发布图片
     */
    @ApiModelProperty(value = "发布图片")
    private String imageUrl;

    /**
     * 发布文件
     */
    @ApiModelProperty(value = "发布文件")
    private String fileUrl;

    /**
     * 发布时间 - 定时发布
     */
    @ApiModelProperty(value = "发布时间 - 定时发布")
    private Date publishTime;

    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;

    /**
     * 评论数
     */
    @ApiModelProperty(value = "评论数")
    private Integer commentNum;




}
