package com.mcwl.communityCenter.domain.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@ApiModel(description = "问题信息")
public class QuestionVo {


    @ApiModelProperty(value = "主键")
    private Long id;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long communityId;

    /**
     * 提问用户id
     */
    @ApiModelProperty(value = "提问用户id")
    private Long questionUserId;

    /**
     * 提问用户名
     */
    @ApiModelProperty(value = "提问用户名")
    private String questionUserName;

    /**
     * 提问用户头像
     */
    @ApiModelProperty(value = "提问用户头像")
    private String questionUserAvatar;

    /**
     * 提问内容
     */
    @ApiModelProperty(value = "提问内容")
    private String content;

    /**
     * 提问图片
     */
    @ApiModelProperty(value = "提问图片")
    private String questionUrl;

    /**
     * 提问时间
     */
    @ApiModelProperty(value = "提问时间")
    private Date createTime;

//    /**
//     * 答复用户id
//     */
//    @ApiModelProperty(value = "答复用户id")
//    private Long replyUserId;
//
//    /**
//     * 回复内容
//     */
//    @ApiModelProperty(value = "回复内容")
//    private String reply;
//
//    /**
//     * 回复时间
//     */
//    @ApiModelProperty(value = "回复时间")
//    private Date replyTime;

    /**
     * 是否匿名
     */
    @ApiModelProperty(value = "是否匿名")
    private Integer isAnonymous;

    /**
     * 提问类型 0免费 1付费
     */
    private Integer type;

    /**
     * 付费金额 当提问类型为付费时必填
     */
    private Double amount;





}
