package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.core.domain.R;
import com.mcwl.communityCenter.domain.dto.CommentDelRes;
import com.mcwl.communityCenter.domain.dto.CommentDetailRes;
import com.mcwl.communityCenter.domain.dto.CommentRes;
import com.mcwl.communityCenter.domain.vo.CommentVo;
import com.mcwl.communityCenter.domain.PublishComment;
import org.springframework.http.ResponseEntity;

import javax.validation.Valid;
import java.util.List;

/**
 * @Author：ChenYan
 * @Project：mcwl-ai
 * @Package：com.mcwl.communityCenter.service
 * @Filename：PublishCommissionService
 * @Description TODO
 * @Date：2025/1/17 14:27
 */

public interface PublishCommentService extends IService<PublishComment> {
    /**
     * 获取评论详情
     * @param commentDetailRes 评论详情参数
     * @return 评论详情
     */
    R<Object> getComment(CommentDetailRes commentDetailRes);

    R<Object> addComment(CommentRes commentRes);

    R<Object> removeCommentById(CommentDelRes commentDelRes);
}
