package com.mcwl.memberCenter.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import com.mcwl.memberCenter.enums.PromotionEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 促销活动表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mem_promotion")
public class Promotion extends BaseEntity {

    @TableId
    private Long id;

    /**
     * 活动名称
     */
    private String activityName;

    /**
     * 活动开始时间
     */
    private Date startTime;

    /**
     * 活动结束时间
     */
    private Date endTime;

    /**
     * 活动类型，如“限时折扣”、“积分奖励”
     */
    private PromotionEnum activityType;

    /**
     * 折扣/积分奖励 根据活动类型，这里可以是折扣率（如0.8代表8折）
     */
    private Double activityValue;

    /**
     * 活动的详细描述
     */
    private String description;

    /**
     * 适用会员等级 可选字段，用于指定哪些会员等级可以享受此活动（用逗号分隔的会员等级ID）
     */
    private String memberLevelIds;



}
