package com.mcwl.memberCenter.domain.dto;

import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * 积分充值请求参数
 */
@Data
public class RechargePointsDto {

    // 用户ID
    @NotNull(message = "用户ID不能为空")
    private Long userId;

    // 充值积分
    @NotNull(message = "充值积分不能为空")
    @Min(value = 5, message = "充值积分不能小于5")
    private Double amount;

    // 剩余积分
    private Double points;

}
