package com.mcwl.myInvitation.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mcwl.common.core.domain.entity.SysUser;
import com.mcwl.myInvitation.domain.Commission;
import com.mcwl.myInvitation.domain.Consume;
import com.mcwl.myInvitation.mapper.ConsumeMapper;
import com.mcwl.myInvitation.service.CommissionService;
import com.mcwl.myInvitation.service.ConsumeService;
import com.mcwl.system.service.ISysUserService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@RequiredArgsConstructor
public class ConsumeServiceImpl extends ServiceImpl<ConsumeMapper, Consume> implements ConsumeService {

    private final ConsumeMapper consumeMapper;

    private final CommissionService commissionService;

    private final ISysUserService sysUserService;


    @Override
    @Transactional
    public void saveConsume(Consume consume) {
        consumeMapper.insert(consume);

        Commission commission = new Commission();
        SysUser sysUser = sysUserService.selectUserById(consume.getUserId());
        // TODO 设置用户id
//        commission.setUserId(sysUser.getParentId());

        // 设置消费者id
        commission.setConsumeId(consume.getUserId());

        // TODO 设置佣金,目前固定2.0
        commission.setAmount(2.0);
        commission.setPayStatus(0);

        commissionService.save(commission);


    }
}
