package com.mcwl.pay.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel(description = "订单交易信息")
public class OrderTradeDto {

    /**
     * 商品ID
     */
    @ApiModelProperty(value = "商品ID 如果订单类型是points 或者 wallet，可以不传")
    private Integer productId;

    /**
     * 支付金额
     */
    @ApiModelProperty(value = "支付金额", required = true)
    @NotNull(message = "支付金额不能为空")
    private Double amount;

    /**
     * 订单类型 会员member 积分points
     */
    @ApiModelProperty(value = "订单类型 会员member 积分points 金币 wallet", required = true)
    @NotBlank(message = "订单类型不能为空")
    private String type;

    /**
     * 活动id
     */
    @ApiModelProperty(value = "活动id")
    private Long promotionId;
}
