package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**图片表
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.domain
 * @Filename：ModelImage
 * @Description 图片表
 * @Date：2025/1/8 19:35
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@ApiModel(description = "图片表")
@EqualsAndHashCode(callSuper = true)
@TableName("model_image")
public class ModelImage extends BaseEntity {

    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private Long userId;
    /**
     * 图片地址（最多8张，切割）
     */
    @ApiModelProperty(value = "图片地址（最多8张，切割）")
    private String imagePaths;
    /**
     * 是否添加水印
     */
    @ApiModelProperty(value = "是否添加水印")
    private Integer hasWatermark;
    /**
     * 是否会员下载
     */
    @ApiModelProperty(value = "是否会员下载")
    private Integer isMemberDownload;
    /**
     * 是否不可下载
     */
    @ApiModelProperty(value = "是否不可下载")
    private Integer isNotDownloadable;
    /**
     * 是否隐藏生成信息
     */
    @ApiModelProperty(value = "是否隐藏生成信息")
    private Integer hideGenInfo;
    /**
     * 图片标题（最多30字）
     */
    @ApiModelProperty(value = "图片标题（最多30字）")
    private String title;
    /**
     * 图片标签（多个，切割）
     */
    @ApiModelProperty(value = "图片标签（多个，切割）")
    private String tags;
    /**
     * 描述信息（最多500）
     */
    @ApiModelProperty(value = "描述信息（最多500）")
    private String description;
    /**
     * 在线生成数
     */
    @ApiModelProperty(value = "在线生成数")
    private Integer onlineGenNum;
    /**
     * 下载数
     */
    @ApiModelProperty(value = "下载数")
    private Integer downloadNum;
    /**
     * 返图数
     */
    @ApiModelProperty(value = "返图数")
    private Integer returnNum;
    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private Integer status;

    /**
     * 是否置顶
     */
    @ApiModelProperty(value = "是否置顶")
    private Integer isTop;

    /**
     * 审核失败原因
     */
    @ApiModelProperty(value = "审核失败原因")
    private String auditText;

    /**
     * 商品价格
     */
    @ApiModelProperty(value = "商品价格")
    private Double productPrice;
}
