package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 图片评论
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("model_image_comment")
@ApiModel(description = "图片评论")
public class ModelImageComment extends BaseEntity {

    @TableId
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;

    /**
     * 图片id
     */
    @ApiModelProperty(value = "图片id")
    private Long modelImageId;

    /**
     * 评论内容
     */
    @ApiModelProperty(value = "评论内容")
    private String content;

    /**
     * 父评论id
     */
    @ApiModelProperty(value = "父评论id")
    private Long parentId;

    /**
     * 回复人
     */
    @ApiModelProperty(value = "回复人")
    private Long replyUserId;

    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;

}
