package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import com.mcwl.system.domain.enums.AdviceEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 消息通知
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_advice")
public class SysAdvice extends BaseEntity {

    @TableId
    private Long id;

    /**
     * 发送者id
     */
    private Long senderId;

    /**
     * 接收者id
     */
    private Long receiverId;

    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private String content;

    /**
     * 商品id
     */
    private Long productId;

    /**
     * 商品类型 0模型 1工作流 2图片
     */
    private Integer productType;

    /**
     * 评论id
     */
    private Long commentId;

    /**
     * 是否已读 0否 1是
     */
    private Integer isRead;

    /**
     * 消息类型 表示新消息提醒，系统公告等
     */
    private AdviceEnum type;




}
