package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 关注表
 *
 * @author DaiZibo
 * @date 2025/1/3
 * @apiNote
 */

@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
@ApiModel(description = "关注表")
public class SysUserAttention {

    @ApiModelProperty(value = "主键ID")
    @TableId
    private Long id;
    @ApiModelProperty(value = "用户ID")
    private Long userId;
    @ApiModelProperty(value = "被关注用户ID")
    private Long toUserId;
    @ApiModelProperty(value = "关注时间")
    private String createName;
    @ApiModelProperty(value = "关注时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
