package com.mcwl.resource.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 个人主页展示（关注，粉丝，下载量...)
 * @author DaiZibo
 * @date 2025/1/3
 * @apiNote
 */

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel
public class SysUserInfo {

 /**
  * 关注
  */
 @ApiModelProperty(value = "关注")
 private Long attention = 0L;

 /**
  * 粉丝
  */
 @ApiModelProperty(value = "粉丝")
 private Long bean = 0L;

 /**
  * 模型下载次数
  */
 @ApiModelProperty(value = "模型下载次数")
 private Long modelDownloadNum = 0L;

 /**
  * 模型运行次数
  */
 @ApiModelProperty(value = "模型运行次数")
 private Long modelRunNum = 0L;


 /**
  * 模型点赞次数
  */
 @ApiModelProperty(value = "模型点赞次数")
 private Long modelLikeNum = 0L;

 /**
  * 图片点赞次数
  */
 @ApiModelProperty(value = "图片点赞次数")
 private Long imageLikeNum = 0L;

 /**
  * 作品数量
  */
 @ApiModelProperty(value = "作品数量")
 private Long productNum = 0L;

}
