package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 工作流评论
 */
@ApiModel(description = "工作流评论")
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("work_flow_comment")
public class WorkFlowComment extends BaseEntity {

    @TableId
    @ApiModelProperty ("主键ID")
    private Long id;

    /**
     * 用户id
     */
    @ApiModelProperty ("用户id")
    private Long userId;

    /**
     * 工作流id
     */
    @ApiModelProperty ("工作流id")
    private Long workFlowId;

    /**
     * 评论内容
     */
    @ApiModelProperty ("评论内容")
    private String content;

    /**
     * 父评论id
     */
    @ApiModelProperty ("父评论id")
    private Long parentId;

    /**
     * 回复人
     */
    @ApiModelProperty ("回复人")
    private Long replyUserId;

    /**
     * 点赞数
     */
    @ApiModelProperty ("点赞数")
    private Integer likeNum;

}
