package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**工作流版本表
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.domain
 * @Filename：WorkFlow
 * @Description TODO
 * @Date：2025/1/8 19:38
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@ApiModel(description = "工作流版本表")
@TableName("work_flow_version")
public class WorkFlowVersion {

    /**
     * 主键ID
     */
    @TableId
    @ApiModelProperty("主键ID")
    private Long id;
    /**
     * 版本名称
     */
    @ApiModelProperty("版本名称")
    private String versionName;
    /**
     * 版本介绍（富文本）
     */
    @ApiModelProperty("版本介绍（富文本）")
    private String versionDescription;
    /**
     * 文件地址
     */
    @ApiModelProperty("文件地址")
    private String filePath;
    /**
     * 图片地址（最多20张,切割）
     */
    @ApiModelProperty("图片地址（最多20张,切割）")
    private String imagePaths;
    /**
     * 是否隐藏图片生成信息
     */
    @ApiModelProperty("是否隐藏图片生成信息")
    private Integer hideGenInfo;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;

    /**
     * 工作流ID
     */
    @ApiModelProperty("工作流ID")
    private Long workFlowId;

    /**
     * 文件名字
     */
    @ApiModelProperty("文件名字")
    private String fileName;

    /**
     * 解密文件秘钥
     */
    @TableField(exist = false)
    @ApiModelProperty("解密文件秘钥")
    private String keyRate;

    /**
     * 是否加密(0不加密 1加密)
     */
    @ApiModelProperty(value = "是否加密")
    private Integer isEncrypt;

    /**
     * 文件key
     */
    @ApiModelProperty(value = "文件的key")
    private String objectKey;
}
