package com.mcwl.resource.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 工作流入参 工作流+版本
 *
 * @author DaiZibo
 * @date 2025/1/9
 * @apiNote
 */

@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
@ApiModel(description = "工作流入参 工作流+版本")
public class AddRequestWorkFlow {
    @ApiModelProperty(value = "工作流信息")
    @Valid
    @NotNull(message = "工作流信息不能为空")
    private AddWorkFlow workFlow;
    @Valid
    @NotEmpty(message = "工作流版本信息不能为空")
    @ApiModelProperty(value = "工作流版本信息")
    private List<AddWorkFlowVersion> workFlowVersionList;

}
