package com.mcwl.resource.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
@ApiModel(description = "图片评论请求参数")
@Data
public class ModelImageCommentRes {
    /**
     * 图片id
     */
    @ApiModelProperty(value = "图片id", required = true)
    @NotNull(message = "图片id不能为空")
    private Long modelImageId;

    /**
     * 评论内容
     */
    @ApiModelProperty(value = "评论内容", required = true)
    @NotBlank(message = "评论内容不能为空")
    private String content;

    /**
     * 父评论id
     */
    @ApiModelProperty(value = "父评论id")
    private Long parentId;

    /**
     * 回复人
     */
    @ApiModelProperty(value = "回复人")
    private Long replyUserId;


}
