package com.mcwl.resource.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
@ApiModel(description = "图片请求对象")
@Data
public class ModelImageRes {
    /**
     * 图片id
     */
    @ApiModelProperty(value = "图片id", required = true)
    private Long id;
    /**
     * 图片地址（最多8张，切割）
     */
    @ApiModelProperty(value = "图片地址（最多8张，切割）", required = true)
    @NotBlank(message = "图片地址不能为空")
    private String imagePaths;
    /**
     * 是否添加水印
     */
    @ApiModelProperty(value = "是否添加水印")
    private Integer hasWatermark;
    /**
     * 是否会员下载
     */
    @ApiModelProperty(value = "是否会员下载")
    private Integer isMemberDownload;
    /**
     * 是否不可下载
     */
    @ApiModelProperty(value = "是否不可下载")
    private Integer isNotDownloadable;
    /**
     * 是否隐藏生成信息
     */
    @ApiModelProperty(value = "是否隐藏生成信息")
    private Integer hideGenInfo;
    /**
     * 图片标题（最多30字）
     */
    @ApiModelProperty(value = "图片标题（最多30字）", required = true)
    @NotBlank(message = "图片标题不能为空")
    private String title;
    /**
     * 图片标签（多个，切割）
     */
    @ApiModelProperty(value = "图片标签（多个，切割）")
    private String tags;
    /**
     * 描述信息（最多500）
     */
    @ApiModelProperty(value = "描述信息（最多500）")
    private String description;

}
