package com.mcwl.resource.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@ApiModel(description = "工作流评论请求参数")
@Data
public class WorkFlowCommentRes {
    /**
     * 工作流id
     */
    @ApiModelProperty(value = "工作流id", required = true)
    @NotNull(message = "工作流id不能为空")
    private Long workFlowId;

    /**
     * 评论内容
     */
    @ApiModelProperty(value = "评论内容", required = true)
    @NotBlank(message = "评论内容不能为空")
    private String content;

    /**
     * 父评论id
     */
    @ApiModelProperty(value = "父评论id")
    private Long parentId;

    /**
     * 回复人
     */
    @ApiModelProperty(value = "回复人")
    private Long replyUserId;

}
