package com.mcwl.resource.domain.response;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 作品灵感出参
 *
 * @author DaiZibo
 * @date 2025/2/15
 * @apiNote
 */

@NoArgsConstructor
@AllArgsConstructor
@Data
public class ResponseModelImage {
    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private Long userId;
    /**
     * 图片地址（最多8张，切割）
     */
    @ApiModelProperty(value = "图片地址（最多8张，切割）")
    private String imagePaths;

    /**
     * 封面图
     */
    @ApiModelProperty(value = "封面图")
    private String path;

    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;

    /**
     * 作品发布人
     */
    @ApiModelProperty(value = "作品发布人")
    private String nickName;

    /**
     * 发布人头像
     */
    @ApiModelProperty(value = "发布人头像")
    private String avatar;


    /**
     * 作品是否点赞 0未点赞 1点赞
     */
    @ApiModelProperty(value = "作品是否点赞 0未点赞 1点赞")
    private Integer isLike;
}
