package com.mcwl.resource.domain.response;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 模型广场出参
 *
 * @author DaiZibo
 * @date 2025/2/15
 * @apiNote
 */

@NoArgsConstructor
@AllArgsConstructor
@Data
public class ResponseModelProduct {
    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")
    @TableId
    private Long id;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String modelName;
    /***
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;
    /**
     * 模型类型
     */
    @ApiModelProperty(value = "模型类型")
    private Long modelType;

    /**
     * 生图次数
     */
    @ApiModelProperty(value = "生成图次数")
    private Integer reals;
    /**
     * 封面图
     */
    @ApiModelProperty(value = "封面图")
    private String surfaceUrl;
    /**
     * 下载次数
     */
    @ApiModelProperty(value = "下载次数")
    private Integer numbers;
    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;


    /**
     * 翻译后类型
     */
    @ApiModelProperty(value = "翻译后类型")
    private String type;

    /**
     * 作品发布人
     */
    @ApiModelProperty(value = "作品发布人")
    private String nickName;

    /**
     * 发布人头像
     */
    @ApiModelProperty(value = "发布人头像")
    private String avatar;

}
