package com.mcwl.resource.domain.response;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 工作流广场出参
 *
 * @author DaiZibo
 * @date 2025/2/15
 * @apiNote
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ResponseWorkFlow {

    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")
    @TableId
    private Long id;
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;
    /**
     * 名称（最多30字）
     */
    @ApiModelProperty(value = "名称（最多30字）")
    private String workflowName;

    /**
     * 功能
     */
    @ApiModelProperty(value = "类别")
    private String type;


    /**
     * 使用数量
     */
    @ApiModelProperty(value = "使用数量")
    private Long useNumber = 0L;

    /**
     * 下载数量
     */
    @ApiModelProperty(value = "下载数量")
    private Long downloadNumber = 0L;


    /**
     * 封面图地址
     */
    @ApiModelProperty(value = "封面图地址")
    private String coverPath;


    /**
     * 作品点赞数量
     */
    @ApiModelProperty(value = "作品点赞数量")
    private Integer likeCount = 0;

    /**
     * 作品发布人
     */
    @ApiModelProperty(value = "作品发布人")
    private String nickName;

    /**
     * 发布人头像
     */
    @ApiModelProperty(value = "发布人头像")
    private String avatar;
}
