package com.mcwl.resource.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(description = "评论/点赞消息")
public class CommentAdviceVo {

    /**
     * 通知id
     */
    @ApiModelProperty(value = "通知id")
    private Long id;

    /**
     * 评论/点赞用户头像
     */
    @ApiModelProperty(value = "评论/点赞用户头像")
    private String userAvatar;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;


    /**
     * 评论/点赞的商品id
     */
    @ApiModelProperty(value = "评论/点赞的商品id")
    private Long productId;

    /**
     * 评论/点赞的商品图片
     */
    @ApiModelProperty(value = "商品图片")
    private String productImag;

    /**
     * 评论/点赞的商品类型 0模型 1工作流 2图片
     */
    @ApiModelProperty(value = "评论/点赞的商品类型 0模型 1工作流 2图片")
    private Integer productType;

    /**
     * 是否已读 0否 1是
     */
    @ApiModelProperty(value = "是否已读 0否 1是")
    private Integer isRead;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
