package com.mcwl.resource.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 查看个人发布作品入参
 *
 * @author DaiZibo
 * @date 2025/1/2
 * @apiNote
 */

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(description = "查看个人发布作品入参")
public class MallProductVo {

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private Long status;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Long order;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endTime;

    /**
     * 页码
     */
    @ApiModelProperty(value = "页码")
    private Integer pageNumber;

    /**
     * 每页条数
     */
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

}
