package com.mcwl.resource.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.resource.domain.ModelComment;
import com.mcwl.resource.domain.dto.ModelCommentRes;
import com.mcwl.resource.domain.vo.ModelCommentVo;

import java.util.List;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.service
 * @Filename：ModelCommentService
 * @Description TODO
 * @Date：2025/1/12 11:58
 */
public interface ModelCommentService extends IService<ModelComment> {
    void comment(ModelCommentRes modelCommentRes);

    /**
     * 获取评论
     * @param modelId 模型id
     * @return 评论区
     */
    List<ModelCommentVo> getComment(Long modelId, Integer sortType);

    /**
     * 获取评论数量
     * @param modelId 模型id
     * @return 评论数量
     */
    Integer getCommentCount(Long modelId);
}
