package com.mcwl.resource.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.resource.domain.ModelImageComment;
import com.mcwl.resource.domain.dto.ModelImageCommentRes;
import com.mcwl.resource.domain.vo.ModelImageCommentVo;

import java.util.List;


public interface ModelImageCommentService extends IService<ModelImageComment> {


    /**
     * 评论
     * @param modelImageCommentRes 评论对象
     */
    void comment(ModelImageCommentRes modelImageCommentRes);

    /**
     * 获取评论
     * @param imageId 图片id
     * @return 评论区
     */
    List<ModelImageCommentVo> getComment(Long imageId, Integer sortType);


    /**
     * 获取评论数量
     * @param imageId 图片id
     * @return 评论数量
     */
    Integer getCommentCount(Long imageId);
}
