package com.mcwl.resource.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.resource.domain.ModelImage;
import com.mcwl.resource.domain.dto.ModelImagePageRes;
import com.mcwl.resource.domain.dto.ModelImageRes;
import com.mcwl.resource.domain.vo.ModelImageVo;

import javax.validation.constraints.NotNull;


public interface ModelImageService extends IService<ModelImage> {
    /**
     * 根据id更新
     * @param modelImageRes 更新对象
     */
    void updateById(ModelImageRes modelImageRes);

    /**
     * 发布
     * @param modelImageRes 发布对象
     */
    void publish(ModelImageRes modelImageRes);

    /**
     * 分页查询
     * @param imagePageRes 分页参数
     * @return 分页数据
     */
    TableDataInfo listByPage(ModelImagePageRes imagePageRes);

    ModelImageVo getDetail(@NotNull(message = "图片id不能为空") Long imageId);




}
