package com.mcwl.resource.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mcwl.common.utils.StringUtils;
import com.mcwl.resource.domain.ModelProduct;
import com.mcwl.resource.domain.ToActivity;
import com.mcwl.resource.mapper.ToActivityMapper;
import com.mcwl.resource.service.ToActivityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**活动 业务实现层
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.service
 * @Filename：ToActivityServiceImpl
 * @Description TODO
 * @Date：2025/1/9 18:01
 */
@Service
public class ToActivityServiceImpl extends ServiceImpl<ToActivityMapper, ToActivity> implements ToActivityService {

  @Autowired
  private ToActivityService toActivityService;

  @Autowired
  private ToActivityMapper toActivityMapper;

    @Override
    public List<ToActivity> selectToActivityList(ToActivity toActivity) {
        LambdaQueryWrapper<ToActivity> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(StringUtils.isNotBlank(toActivity.getActivityName()),ToActivity::getActivityName, toActivity.getActivityName());
        return toActivityMapper.selectList(queryWrapper);
    }


}
