package com.mcwl.resource.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.core.domain.R;
import com.mcwl.resource.domain.WorkFlowVersion;
import com.mcwl.resource.mapper.WorkFlowVersionMapper;
import com.mcwl.resource.service.WorkFlowVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 工作流版本 业务实现层
 * @author DaiZibo
 * @date 2025/1/9
 * @apiNote
 */

@Service
public class WorkFlowVersionServiceImpl implements WorkFlowVersionService {

    @Autowired
    private WorkFlowVersionMapper workFlowVersionMapper;

    @Override
    public R<List<WorkFlowVersion>> selectVersionByWorkId(Long workId) {

        LambdaQueryWrapper<WorkFlowVersion> workFlowVersionLambdaQueryWrapper = new LambdaQueryWrapper<>();

        workFlowVersionLambdaQueryWrapper.eq(WorkFlowVersion::getDelFlag,0);
        workFlowVersionLambdaQueryWrapper.eq(WorkFlowVersion::getWorkFlowId,workId);

        List<WorkFlowVersion> workFlowVersions = workFlowVersionMapper.selectList(workFlowVersionLambdaQueryWrapper);

        return R.ok(workFlowVersions);
    }
}
