package com.mcwl.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 第三方登录表
 *
 * @author DaiZibo
 * @date 2024/12/30
 * @apiNote
 */

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@TableName("sys_user_third_account")
public class SysUserThirdAccount {

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户ID
     */
    @TableField(value = "user_id")
    private Long userId;

    /**
     * 第三方唯一ID
     */
    @TableField(value = "openid")
    private String openid;

    /**
     * 第三方昵称
     */
    @TableField(value = "open_name")
    private String openName;

    /**
     * 第三方头像
     */
    @TableField(value = "src")
    private String src;

    /**
     * 第三方（qq/微信）
     */
    @TableField(value = "bind_type")
    private String bindType;

    /**
     * 标志是否绑定
     */
    @TableField(value = "bind_flag")
    private String bindFlag;

    /**
     * 绑定时间
     */
    @TableField(value = "bind_date")
    private Date bindDate;

    /**
     * 创建者
     */
    @TableField(value = "create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 更新着
     */
    @TableField(value = "update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 删除标志(0代表存在 2代表删除)
     */
    @TableField(value = "del_flag")
    private Integer delFlag;
}
